gambas3 (3.13.0-1~exp3~build1) eoan; urgency=medium

  * Upload to Ubuntu eoan

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 May 2019 10:15:33 +0200

gambas3 (3.13.0-1~exp3) experimental; urgency=medium

  * Fix ppc64* build failure with patch inspired from similar issue:
    on bug: 810907 affecting src:repsnapper

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 May 2019 19:15:11 +0200

gambas3 (3.13.0-1~exp2) experimental; urgency=medium

  * Upload to Ubuntu without poppler patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 May 2019 18:08:00 +0200

gambas3 (3.13.0-1~exp1) experimental; urgency=medium

  [ Bastian Germann ]
  * New upstream version 3.13.0 (Closes: #922401, Closes: #923495)
  * Install the AppStream in non-legacy path
  * Remove all patches
  * Document CC0 licensed file

  [ Gianfranco Costamagna ]
  * Team upload to experimental, due to freeze
  * Cherry-pick and apply Ubuntu poppler patch, from Sebastien Bacher
    <seb128@ubuntu.com>

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 May 2019 17:56:26 +0200

gambas3 (3.12.2-1) unstable; urgency=medium

  * New upstream version 3.12.2

 -- Bastian Germann <bastian.germann@fishpost.de>  Tue, 15 Jan 2019 22:40:44 +0100

gambas3 (3.12.1-3) unstable; urgency=medium

  [ Bastian Germann ]
  * Let gambas3-gb-jit depend on gambas3-runtime
  * Let gambas3-ide depend on gambas3-gb-jit (Closes: #919212)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Jan 2019 13:06:25 +0100

gambas3 (3.12.1-2) unstable; urgency=medium

  * Add jit dependency to -ide package (Closes: #919212)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Jan 2019 12:57:52 +0100

gambas3 (3.12.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.12.1
  * Drop prefer_qt5 patch, upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Jan 2019 09:02:03 +0100

gambas3 (3.12.0-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Update Standards-Version. No changes needed.
  * New upstream version 3.12.0
  * Enable JIT
  * Remove upstream patches
  * Define gb.jit files

  [ Gianfranco Costamagna ]
  * Team Upload
  * bump copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Jan 2019 10:23:13 +0100

gambas3 (3.11.4-6) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Jeremy Bicha ]
  * Cherry-pick Make-gb.pdf-compile-with-poppler-0.71.patch
    - upstream fix for new poppler

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Nov 2018 12:04:09 +0100

gambas3 (3.11.4-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Bastian Germann ]
  * Take dh compiler flags into account
  * Add missing install files
  * Correct two copyright paths
  * Make the gambas3-gb-gui-* components transitional
  * Provide man pages for *.gambas programs
  * Update the man pages according to --help

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Oct 2018 08:56:48 +0100

gambas3 (3.11.4-4) unstable; urgency=medium

  * Use upstream desktop file and icon
  * Use dh_auto_configure
  * Do not use deprecated --list-missing on dh_install
  * Enable parallel build
  * Do not use multi-arch libdir
  * Only package installed files
  * Install gbs3.gambas in /usr/bin
  * Remove the now-upstream shared-mime-info
  * Remove unnecessary .links and .dirs
  * Add copyright information

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 25 Oct 2018 15:42:55 +0200

gambas3 (3.11.4-3) unstable; urgency=medium

  [ Bastian Germann ]
  * Fix MIPS build
  * Update standards version
  * Add missing gambas3-gb-qt5-opengl to gambas3 meta package
  * Remove the deprecated components from gambas3 meta package
  * Make gambas3-dev independent from gambas3-runtime

  [ Gianfranco Costamagna ]
  * Team upload

 -- Bastian Germann <bastiangermann@fishpost.de>  Mon, 15 Oct 2018 22:49:22 +0200

gambas3 (3.11.4-2) unstable; urgency=medium

  * Fix manpage spelling errors
  * Fix undefined TRUE/FALSE

 -- Bastian Germann <bastiangermann@fishpost.de>  Mon, 15 Oct 2018 12:40:43 +0200

gambas3 (3.11.4-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload
  * New upstream release
  * Drop old transitional gb-desktop-gnome package, thanks Holger for
    the report and fix (Closes: #874760)
  * Update sections with new patch (Closes: #880695)
  * Bring back examples package

  [ Pino Toscano ]
  * Remove useless qtwebkit dependency
    (Closes: #867306)

  [ Bastian Germann ]
  * New upstream version 3.11.4
  * Update the watch file location
  * Remove the deprecated gambas3-gb-desktop-gnome-keyring package
    (Closes: #867930)
  * Update the version control links to salsa
  * Bump std-version to 4.1.4, no changes required
  * Add "Multi-Arch: same" for two packages
  * Modify the MIME icon sizes
  * Remove outdated Portland project links (Closes: #896665)
  * Remove all patches
  * Drop qt4 packages (Closes: #874896)
  * Add d/gbp.conf
  * Explicitly disable non-packaged components
  * Introduce one old and one new qt4 patch
  * Add gambas3-gb-term package
  * Add gambas3-gb-dbus-trayicon package
  * Add gambas3-gb-media-form package
  * Remove gambas3-gb-gui-trayicon and fix gambas3-ide
  * Add gambas3-gb-web-{feed,form} packages
  * Correct d/control syntax
  * Merge two packages into gambas3-runtime
  * Define wget as a dependency for gambas3-ide
  * Fix a lot of dependencies
  * Address lintian errors including new patch
  * Remove unused shlibs:Depends substitution variables
  * Transition to gmime 3.0 (Closes: #867348)
  * Set a new Maintainer team address (Closes: #899515)

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 11 Oct 2018 17:18:31 +0200

gambas3 (3.9.2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop sqlite2 old package
  * Fix gcc7 build failure with upstream patch (Closes: #853411)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Jul 2017 19:25:54 +0200

gambas3 (3.9.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream release.
  * Bump std-version to 4.0.0
  * Bump compat level to 10

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jun 2017 19:05:16 +0200

gambas3 (3.9.1-3) unstable; urgency=medium

  * Team Upload
  * Drop libmodplug-dev, useless
    (Closes: #850525)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Jan 2017 18:04:32 +0100

gambas3 (3.9.1-2) unstable; urgency=medium

  * Team Upload

  [ Josh Triplett ]
  * Add new programming language sections (Closes: #847533)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Dec 2016 08:25:00 +0100

gambas3 (3.9.1-1) unstable; urgency=medium

  [ Ian Haywood ]
  * New upstream version (Closes: #837541, #838309)

  [ José L. Redrejo Rodríguez ]
  * Fixed build dependencies
  * Removed gitignore files from upstream when building the debs

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sat, 08 Oct 2016 19:42:37 +0200

gambas3 (3.8.4-6) unstable; urgency=medium

  * debian/patches/openssl-fixes.patch:
    - fix openssl 1.1 incompatibilities (Closes: #828307)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Jul 2016 08:36:09 +0200

gambas3 (3.8.4-5) unstable; urgency=medium

  * Team upload
  * Revert my previous change, because it breaks some arch:all
    build.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jun 2016 11:28:30 +0200

gambas3 (3.8.4-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Fix compilation on hurd, by restricting the architecures list
    (Closes: #829056)
  * Remove useless kdelibs5-dev dependency (Closes: #829058)

  [ Gianfranco Costamagna ]
  * Team upload
  * Fix installation on hurd, by restricting the gambas3 dependencies
    (where not built)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jun 2016 10:11:41 +0200

gambas3 (3.8.4-3) unstable; urgency=medium

  [ Ian Haywood ]
  * patch to use Qt5 preferentially over Qt4. This way the IDE works when both Qt4 and Qt5 present.
  * Remove Conflicts on Qt4 for the the IDE as now unnecessary (Closes: #814862)

  [ Gianfranco Costamagna ]
  * Team upload.
  * Fix unsecure VCS uri.
  * Disable jit package, not llvm-3.6+ ready.
  * Bump std-version to 3.9.8, no changes required.
  * debian/patches/fix-build-failure.patch.
    - cherry-pick upstream r7740 to fix build failure.

  [ trek00@inbox.ru ]
  * Tweak gb.gui dependencies to not force many graphic implementations
    (Closes: #823908)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jun 2016 14:40:21 +0200

gambas3 (3.8.4-2) unstable; urgency=medium

  * Team upload.
  * Switch to libpng-dev to ease libpng transition (Closes: #809862).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Jan 2016 00:12:43 +0100

gambas3 (3.8.4-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Update libgsl0-dev to libgsl-dev, to ease gsl transition.
  * Remove deprecated menu file (Per the tech-ctte decision on #741573)
  * Disable qt4 webkit (Closes: #784465).
  * New upstream release, drop gnu_support patch, merged upstream
    (Closes: #807061).
  * Add breaks+replaces for gb-desktop{x11} package. (Closes: #787921)
  * Drop -examples package, dropped upstream.
  * Add new pacages: gambas3-gb-report2 gambas3-gb-sdl2-audio gambas3-gb-sdl2
    gambas3-gb-util gambas3-gb-util-web gambas3-gb-scanner
  * Add some new build-dependencies, needed for new sdl2 packages:
    libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-ttf-dev
  * Fix some install files.
  * Drop DejaVuSans.ttf sdl link, dropped in version 3.5.3
  * Add xdg-utils as build-dependency, needed to correctly handle mimes.
  * fix copyright file, adding missing svg CC-by-sa licenses, removing some old
    entries, making it really machine readable, add some public domain licenses
    (Closes: #787761)
  * Remove llvm-dev build-dependency, forcing llvm-3.5 (there is no planned
    porting on top of a newer llvm release
    (http://gambaswiki.org/bugtracker/edit?object=BUG.835).
  * Simplify libv4l-dev build-dependency.
  * Stop building gambas3-gb-inotify package on kfreebsd-* (missing libc header)
  * move webkit support in new qt5 package.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Dec 2015 15:10:28 +0100

gambas3 (3.6.2-1) experimental; urgency=low

  * Team upload.

  [ José L. Redrejo Rodríguez ]
  * Fixes in debian/rules & debian control to fix lintian warnings and errors

  [ Gianfranco Costamagna ]
  * New upstream release. (Closes: #775452)
    - refresh patches.
    - drop patches merged upstream: detect_browser_debian, fix-llvm-3.5.patch
      fix_typos,
    - move kfreebsd_support into gnu_support, since kfreebsd is now upstream
      supported (cfr upstream issue 595 for the gnu support)
  * Rewrite rules file, dropping old hacks, and following new dh rules.
  * Bump standard version to 3.9.6, no changes required.
  * Wrap and sort debian directory.
  * Add appdata file
  * Add libgtk-3-dev as build dependency, needed for the new gtk3 package.
  * Add libdumb1, seems needed in the install target (spot by some build logs).
  * Drop PHP3 License, the code has been removed already in 3.5.4.
  * Drop SIL-1.1, file _default.bdf has been removed upstream.
  * Tweak debian/rules to remove the _default.bdf file.
  * New packages: gambas3-gb-desktop-x11, gambas3-gb-inotify,
    gambas3-gb-markdown, gambas3-gb-gtk3.
  * Fix some install files.

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Fri, 16 Jan 2015 17:24:39 +0100

gambas3 (3.5.4-2) unstable; urgency=medium

  * Team upload.

  [ Gianfranco Costamagna ]
  * Add fix-llvm-3.5.patch, fixing the llvm-3.5 build failure.
    (Closes: #763238)

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 13 Oct 2014 10:46:46 +0200

gambas3 (3.5.4-1) unstable; urgency=medium

  * Team upload.

  [ Gianfranco Costamagna ]
  * New upstream version. (Closes: #752625, #754209)
  * Added Vcs-* fields.
  * Add gambas3-gb-clipper as dependency of gambas3-ide
    (Closes: #749059), thanks to Shane Kerr.
  * Bump compat level to 9.
  * Remove d/p/find_postgresql_headers, addressed upstream.


  [ Pino Toscano ]
  * Adding parallel builds (Closes: #751217).

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 14 Apr 2014 10:46:46 +0200

gambas3 (3.5.2-2) unstable; urgency=low

  * New upstream version
  * New packages gb.media, gb.logging, gb.desktop.gnome
  * postgresql-server-dev-all needed to compile postgres
    drivers (Closes: #741789)

 -- Ian Haywood <ian@haywood.id.au>  Wed, 02 Apr 2014 16:23:48 +1100

gambas3 (3.5.2-1) unstable; urgency=low

  * New upstream version
  * Fix bug in gb.geom (Closes: #731487)
  * Added SIL font licence to debian/copyright
  * fix permissions on gb.sdl/data/src/_default.bdf

 -- Ian Haywood <ian@haywood.id.au>  Fri, 14 Feb 2014 14:41:15 +1100

gambas3 (3.5.1-1) unstable; urgency=low

  [ José L. Redrejo Rodríguez ]
  * New upstream release.
  * Remove previous Poppler patch, as upstream is updated. Thanks to Pino
    for its help while we were MIA.
  * Removed patch from Sebastian Ramacher as it's not needed with this
    new upstream version. Thanks to him and Dmitrijs Ledkovs for his NMU.
  * debian/control:
    - New gambas3 components.
    - Added new dependencies for the new Gambas3 components.
    - Fixed some build dependencies to match current Debian sid repo.
  * debian/patches/fix_typos (Closes: #690509, #690510)
  * debian/patches/kfreebsd_support (Closes: #710320) . Thanks to
    Steven Chamberlain.

  [ Ian  Haywood ]
  * Updated debian/copyright.
  * Fixed some grammar errors in the changelog.
  * Added gb.jit and its dependencies.
  * debian/rules: moving to dpkg-buildflags.

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Tue, 03 Sep 2013 12:52:14 +0200

gambas3 (3.1.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Backport upstream r4730, r4731, and r4732 to fix compatibility with
    Poppler >= 0.20.x (Closes: #679885)

 -- Pino Toscano <pino@debian.org>  Tue, 23 Jul 2013 11:32:16 +0200

gambas3 (3.1.1-2.1) unstable; urgency=low

  [ Sebastian Ramacher ]
  * Non-maintainer upload.
  * Fix FTBFS with eglibc-2.7. (Closes: #701393)

  [ Dmitrijs Ledkovs ]
  * Non-maintainer upload

 -- Dmitrijs Ledkovs <xnox@debian.org>  Tue, 04 Jun 2013 23:16:32 +0100

gambas3 (3.1.1-2) unstable; urgency=low

  * debian/control:
   - Removed hardcoded dependency on libglew1.5 (Closes: #674080)
   - Replaced libpoppler-dev by libpoppler-private-dev build
     dependency (Closes: #673746)
   - Fine tuning some build dependencies trying to compile in freebsd archs

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Thu, 24 May 2012 13:00:18 +0200

gambas3 (3.1.1-1) unstable; urgency=low

  * First upload to Debian of gambas3 (Closes: #654424)

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Fri, 04 May 2012 18:21:24 +0200
